Package org.eclipse.ecf.core.sharedobject

# Interface ISharedObjectContainerTransaction

All Known Implementing Classes:
  `TwoPhaseCommitEventProcessor`

public interface ISharedObjectContainerTransaction
Implementers represent a transaction associated with the creation of a SharedObject within the scope of a given SharedObjectContainer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`ABORTED`
`static final byte`
`ACTIVE`
`static final byte`
`COMMITTED`
`static final byte`
`PREPARED`
`static final byte`
`VOTING`

## Method Summary

Modifier and Type
Method
Description
`byte`
`getTransactionState()`
Get state of transaction.
`void`
`waitToCommit()`
Method called to wait for a transaction to complete.

## Field Details

### ACTIVE

static final byte ACTIVE

See Also:
  - Constant Field Values

### VOTING

static final byte VOTING

See Also:
  - Constant Field Values

### PREPARED

static final byte PREPARED

See Also:
  - Constant Field Values

### COMMITTED

static final byte COMMITTED

See Also:
  - Constant Field Values

### ABORTED

static final byte ABORTED

See Also:
  - Constant Field Values

## Method Details

### waitToCommit

void waitToCommit() throws SharedObjectAddAbortException
Method called to wait for a transaction to complete.

Throws:
  `SharedObjectAddAbortException`

### getTransactionState

byte getTransactionState()
Get state of transaction. Returns one of 'ACTIVE', 'VOTING', 'PREPARED', 'COMMITTED', or 'ABORTED'.

Returns:
  byte code. Returns one of 'ACTIVE', 'VOTING', 'PREPARED', 'COMMITTED', or 'ABORTED'.